extends Node2D

@export var artnet:Node

@export_range(1,512,1) var channel_offset=1
@export_range(0,255,1) var master = 0
@export_range(0,255,1) var red = 0
@export_range(0,255,1) var green = 0
@export_range(0,255,1) var blue = 0
@export_range(0,65535,1) var pan = 32768
@export_range(0,65535,1) var tilt = 32768

func _ready() -> void:
	pass # Replace with function body.


func _process(delta: float) -> void:
	#https://www.martin.com/en/site_elements/martin-manuals-mac-encore-performance-bedienungsanleitung
	artnet.setDMXChannel(channel_offset-1+1,master,false)
	artnet.setDMXChannel(channel_offset-1+2,0,true) #master dimmer
	artnet.setDMXChannel(channel_offset-1+4,red,false)
	artnet.setDMXChannel(channel_offset-1+5,green,false)
	artnet.setDMXChannel(channel_offset-1+6,blue,false)
	artnet.setDMXChannel(channel_offset-1+7,0,false) #ctc
	artnet.setDMXChannel(channel_offset-1+8,0,false) #farbrad
	artnet.setDMXChannel(channel_offset-1+9,0,false) #gobo
	artnet.setDMXChannel(channel_offset-1+10,32768,true) #goborad index/ drehung
	artnet.setDMXChannel(channel_offset-1+12,0,false) #animationsrad, pos und funktion
	artnet.setDMXChannel(channel_offset-1+13,127,false) #animationsrad, index/ drehung
	artnet.setDMXChannel(channel_offset-1+14,0,false) #frost
	artnet.setDMXChannel(channel_offset-1+15,0,false) #iris
	artnet.setDMXChannel(channel_offset-1+16,32768,true) #zoom
	artnet.setDMXChannel(channel_offset-1+18,32768,true) #fokus
	artnet.setDMXChannel(channel_offset-1+20,0,false) #blendenschieber 1 Pos
	artnet.setDMXChannel(channel_offset-1+21,127,false) #blendenschieber 1 Winkel
	artnet.setDMXChannel(channel_offset-1+22,0,false) #blendenschieber 2 Pos
	artnet.setDMXChannel(channel_offset-1+23,127,false) #blendenschieber 2 Winkel
	artnet.setDMXChannel(channel_offset-1+24,0,false) #blendenschieber 3 Pos
	artnet.setDMXChannel(channel_offset-1+25,127,false) #blendenschieber 3 Winkel
	artnet.setDMXChannel(channel_offset-1+26,0,false) #blendenschieber 4 Pos
	artnet.setDMXChannel(channel_offset-1+27,127,false) #blendenschieber 4 Winkel
	artnet.setDMXChannel(channel_offset-1+28,127,false) #Index blendenschiebermodul
	artnet.setDMXChannel(channel_offset-1+29,pan,true) #Pan (default 32768)
	artnet.setDMXChannel(channel_offset-1+31,tilt,true) #Tilt (default 32768)
	artnet.setDMXChannel(channel_offset-1+33,0,false) #Gerätesteuerkanal
	artnet.setDMXChannel(channel_offset-1+34,0,false) #Fx1
	artnet.setDMXChannel(channel_offset-1+35,128,false) #Fx1 geschw
	artnet.setDMXChannel(channel_offset-1+36,0,false) #Fx2
	artnet.setDMXChannel(channel_offset-1+37,128,false) #Fx2 geschw
	artnet.setDMXChannel(channel_offset-1+38,0,false) #FX Sync
	
	
	
